services:
    _defaults:
        autowire: true
        autoconfigure: true

    Chill\MainBundle\Export\Helper\:
        resource: '../../Export/Helper'

    Chill\MainBundle\Export\ExportFormHelper: ~

    chill.main.export_element_validator:
        class: Chill\MainBundle\Validator\Constraints\Export\ExportElementConstraintValidator
        tags:
            - { name: validator.constraint_validator }

#    deprecated in favor of spreadsheet_formatter
#    chill.main.export.csv_formatter:
#        class: Chill\MainBundle\Export\Formatter\CSVFormatter
#        arguments:
#            - "@translator"
#        tags:
#            - { name: chill.export_formatter, alias: 'csv' }

    chill.main.export.spreadsheet_formatter:
        class: Chill\MainBundle\Export\Formatter\SpreadSheetFormatter
        arguments:
            $translatorInterface: '@Symfony\Contracts\Translation\TranslatorInterface'
            $exportManager: '@Chill\MainBundle\Export\ExportManager'
        tags:
            - { name: chill.export_formatter, alias: 'spreadsheet' }

    chill.main.export.list_formatter:
        class: Chill\MainBundle\Export\Formatter\CSVListFormatter
        arguments:
            $translatorInterface: '@Symfony\Contracts\Translation\TranslatorInterface'
            $exportManager: '@Chill\MainBundle\Export\ExportManager'
        tags:
            - { name: chill.export_formatter, alias: 'csvlist' }

    chill.main.export.list_spreadsheet_formatter:
        class: Chill\MainBundle\Export\Formatter\SpreadsheetListFormatter
        arguments:
            $translatorInterface: '@Symfony\Contracts\Translation\TranslatorInterface'
            $exportManager: '@Chill\MainBundle\Export\ExportManager'
        tags:
            - { name: chill.export_formatter, alias: 'spreadlist' }

    chill.main.export.pivoted_list_formatter:
        class: Chill\MainBundle\Export\Formatter\CSVPivotedListFormatter
        arguments:
            $translatorInterface: '@Symfony\Contracts\Translation\TranslatorInterface'
            $exportManager: '@Chill\MainBundle\Export\ExportManager'
        tags:
            - { name: chill.export_formatter, alias: 'csv_pivoted_list' }

    Chill\MainBundle\Export\AccompanyingCourseExportHelper: ~

    Chill\MainBundle\Export\SortExportElement: ~
